MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025011Community[OCCT] OCCT:Modeling Datapublic2014-06-16 18:172014-11-11 12:52
Reporterdrazmyslovich 
Assigned Toapn 
PrioritynormalSeveritycrash 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025011: IntAna_QuaQuadGeo can crash with out-of-bounds exception
DescriptionDue to the unchecked number of solutions, returned by the intersector object, IntAna_QuadQuadGeo::Perform function can crash with out-of-bounds exception.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0029784)
drazmyslovich (developer)
2014-06-16 18:19

The fix is committed. Please, review it.
(0029829)
apn (administrator)
2014-06-19 13:15

Branch CR25011 was tested with CR25012.

- Related Changesets
occt: master a060129f
Timestamp: 2014-06-16 14:18:23
Author: razmyslovich
Committer: apn
Details ] Diff ]
0025011: IntAna_QuaQuadGeo can crash with out-of-bounds exception

Fix the crash in IntAna_QuadQuadGeo by checking the number of intersections
mod - src/IntAna/IntAna_QuadQuadGeo.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-06-16 18:17 drazmyslovich New Issue
2014-06-16 18:17 drazmyslovich Assigned To => drazmyslovich
2014-06-16 18:19 drazmyslovich Note Added: 0029784
2014-06-16 18:19 drazmyslovich Status new => resolved
2014-06-16 18:23 abv Assigned To drazmyslovich => ifv
2014-06-19 13:15 apn Note Added: 0029829
2014-06-19 13:16 apn Assigned To ifv => bugmaster
2014-06-19 13:16 apn Status resolved => reviewed
2014-06-19 13:16 apn Test case number => Not needed
2014-06-19 13:16 apn Status reviewed => tested
2014-06-19 13:16 apn Target Version Unscheduled => 6.8.0
2014-06-20 12:54 apn Changeset attached => occt master a060129f
2014-06-20 12:54 apn Assigned To bugmaster => apn
2014-06-20 12:54 apn Status tested => verified
2014-06-20 12:54 apn Resolution open => fixed
2014-11-11 12:46 user533 Fixed in Version => 6.8.0
2014-11-11 12:52 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker